# Read the Docs configuration file for Sphinx projects
# .readthedocs.yaml

# Project Information
# Required
version: 2

build:
  os: "ubuntu-20.04"
  tools:
    python: "3.10"

# Use a requirements file for pip dependencies
python:
  install:
    - requirements: doc/requirements.txt
    
# Build documentation in the "docs/" directory with Sphinx
sphinx:
  builder: html
  configuration: doc/reST/conf.py
  fail_on_warning: false

# Optionally build your docs in additional formats such as PDF and ePub
# formats:
#   - pdf
#   - epub
